package com.steerinfo.dil.mapper;

import org.mapstruct.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 通用接口
 * @ author    :TXF
 * @ time      :2021/10/19 18:03
 */

@Mapper
public interface UniversalMapper {
    //通过运输订单号查询订单信息
    Map<String, Object> getTiHuoDan(String orderNumber);

    //通过运输订单号查找订单子表物资信息
    List<Map<String, Object>> getOOMMes(String orderNumber);

    //模糊查询所有物资
    List<Map<String, Object>> queryMaterialByLike(Map<String, Object> map);

    //模糊查询发货单位
    List<Map<String, Object>> querySupplierByLike(Map<String, Object> map);

    //模糊查询承运商的运力信息
    List<Map<String, Object>> getAllCapacityByCarrierLike(Map<String, Object> map);

    //通过运输订单ID查询物资子表（针对钢材）
    List<Map<String, Object>> getMaterialMesByOrderId(Map<String, Object> map);
}
